I've installed multiple versions in multiple places trying to get
everything up and working, what's the best way to start fresh?  Below
are some of the errors with brew and the different ways I've tried to
install Ruby and getting it working properly.

=== brew errors ===

mbp:~ teedubb$ brew update
/usr/local/bin/brew: /usr/local/Library/brew.rb:
/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/bin/ruby: bad
interpreter: No such file or directory
/usr/local/bin/brew: line 21: /usr/local/Library/brew.rb: Undefined
error: 0

=== ruby installs ===

mbp:~ teedubb$ ruby -v
ruby 1.9.3p392 (2013-02-22 revision 39386) [x86_64-darwin12.5.0]

mbp:~ teedubb$ which ruby
/Users/teedubb/.rbenv/shims/ruby

mbp:~ teedubb$ ls -lh /usr/local/bin/ruby
lrwxr-xr-x  1 teedubb  admin    37B Feb  6 17:05 /usr/local/bin/ruby ->
../Cellar/ruby193/1.9.3-p448/bin/ruby

mbp:~ teedubb$ ls -lh /usr/bin/ruby
lrwxr-xr-x  1 root  wheel    67B Feb  6 21:56 /usr/bin/ruby ->
/System/Library/Frameworks/Ruby.framework/Versions/1.9/usr/bin/ruby

mbp:~ teedubb$ /usr/bin/ruby -v
ruby 1.9.3p484 (2013-11-22 revision 43786) [x86_64-darwin12.5.0]

-- 
Posted via http://www.ruby-forum.com/.